%define	upstream_name    Catalyst-Runtime
%define upstream_version 5.90010

# remove circular dependency: catalyst::helper is provided by
# catalyst-devel, which itself requires catalyst-runtime to be build.
# moreover, this dependency is only used in an example script, so we do
# not loose anything by removing this dependency
%define _requires_exceptions perl.Catalyst::Helper.

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    The Elegant MVC Web Application Framework
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.100.0
BuildRequires: perl(CGI::Simple::Cookie) >= 1.109.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::C3::Adopt::NEXT) >= 0.70.0
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Class::Load) >= 0.120.0
BuildRequires: perl(Class::MOP) >= 0.950.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::HeadParser)
BuildRequires: perl(HTTP::Body) >= 1.60.0
BuildRequires: perl(HTTP::Headers) >= 1.640.0
BuildRequires: perl(HTTP::Request) >= 5.814.0
BuildRequires: perl(HTTP::Request::AsCGI) >= 1.0.0
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response) >= 5.813.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Pluggable) >= 3.900.0
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast) >= 0.9.30
BuildRequires: perl(MooseX::Getopt) >= 0.300.0
BuildRequires: perl(MooseX::MethodAttributes::Inheritable) >= 0.240.0
BuildRequires: perl(MooseX::Role::WithOverloading) >= 0.90.0
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Common::Numeric)
BuildRequires: perl(MooseX::Types::LoadableClass) >= 0.3.0
BuildRequires: perl(Path::Class) >= 0.90.0
BuildRequires: perl(Plack) >= 0.997.400
BuildRequires: perl(Plack::Middleware::ReverseProxy) >= 0.40.0
BuildRequires: perl(Plack::Test::ExternalServer)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::RewritePrefix) >= 0.4.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::SimpleTable) >= 0.30.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Tree::Simple) >= 1.150.0
BuildRequires: perl(Tree::Simple::Visitor::FindByPath)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.350.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(namespace::clean) >= 0.130.0
BuildArch:  noarch

# (misc) not auto-detected; as it's on a line with whitespace, it's not taken
# in account by perl.req
Requires:   perl(HTTP::Request::AsCGI) >= 0.500.0
Requires:   perl(MooseX::Emulate::Class::Accessor::Fast)
Provides:   perl-Catalyst = %{version}-%{release}
Obsoletes:  perl-Catalyst

%description
Catalyst is an elegant web application framework, extremely flexible yet
extremely simple. It's similar to Ruby on Rails, Spring (Java) and Maypole,
upon which it was originally based.

Catalyst follows the Model-View-Controller (MVC) design pattern, allowing you
to easily separate concerns, like content, presentation, and flow control, into
separate modules. This separation allows you to modify code that handles one
concern without affecting code that handles the others. Catalyst promotes the
re-use of existing Perl modules that already handle common web application
concerns well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Catalyst*
%{_bindir}/catalyst.pl
%{_mandir}/*/*

%changelog

* Wed Feb 22 2012 kharec <kharec> 1:5.900.100-1.mga2
+ Revision: 211997
- update to 5.90010

* Thu Dec 08 2011 kharec <kharec> 1:5.900.70-1.mga2
+ Revision: 179246
- update to 5.90007

* Fri Nov 04 2011 jquelin <jquelin> 1:5.900.60-1.mga2
+ Revision: 162686
- update to 5.90006

* Thu Oct 13 2011 jquelin <jquelin> 1:5.900.40-1.mga2
+ Revision: 154331
- update to 5.90004
- update to 5.90002
- fix url
- update to 5.90001
- update to 5.80033

* Fri Feb 25 2011 jquelin <jquelin> 1:5.800.320-1.mga1
+ Revision: 59665
- update to 5.80032

* Fri Feb 18 2011 jquelin <jquelin> 1:5.800.310-1.mga1
+ Revision: 53750
- update to 5.80031

* Wed Jan 26 2011 jquelin <jquelin> 1:5.800.300-1.mga1
+ Revision: 39984
- mageia rebuild
- imported package perl-Catalyst-Runtime

